Bug 893124 - [vdsm] vdsm service fail to start after installation in case selinux is disabled (fails configuration sasldb and communicate with libvirt properly)
[vdsm] vdsm service fail to start after installation in case selinux is disab...
Status: CLOSED DUPLICATE of bug 907548
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity medium
: ---
: 3.2.0
Assigned To: Douglas Schilling Landgraf
infra
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-08 11:21 EST by Haim
Modified: 2016-02-10 14:32 EST (History)
11 users (show)

See Also:
Fixed In Version: 4.10.2-1.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-14 12:00:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Haim 2013-01-08 11:21:35 EST
Description of problem:

1) install RHEL6.4 host and have  selinux turned off
2) add host into rhevm - finish bootstrapping process
3) host goes up, but vdsmd service fails to start with error:

[root@tigris04 ~]# /etc/init.d/vdsmd start 
vdsm: libvirt already configured for vdsm                  [  OK  ]
Starting iscsid: 
vdsm: Failed to define network filters on libvirt          [FAILED]

looked into vdsmd init script, and tried to run the the command line manually:

[root@tigris04 ~]# python /usr/share/vdsm/nwfilter.pyc
libvir: XML-RPC error : authentication failed: authentication failed

then i tried to remove vdsm and got something interesting:

Removing:
 vdsm                                  x86_64                                  4.10.2-3.0.el6ev                                   @rhevm                                  2.4 M

Transaction Summary
================================================================================================================================================================================
Remove        1 Package(s)

Installed size: 2.4 M
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Jan  8 15:42:18 tigris04 saslpasswd2: error deleting entry from sasldb: DB_NOTFOUND: No matching key/data pair found
Jan  8 15:42:18 tigris04 saslpasswd2: setpass failed for vdsm@ovirt: user not found
Jan  8 15:42:18 tigris04 saslpasswd2: error deleting entry from sasldb: DB_NOTFOUND: No matching key/data pair found
Jan  8 15:42:18 tigris04 saslpasswd2: error deleting entry from sasldb: DB_NOTFOUND: No matching key/data pair found
Jan  8 15:42:18 tigris04 saslpasswd2: error deleting entry from sasldb: DB_NOTFOUND: No matching key/data pair found
Jan  8 15:42:19 tigris04 yum[4268]: Erased: vdsm
  Erasing    : vdsm-4.10.2-3.0.el6ev.x86_64                                                                                                                                 1/1 
saslpasswd2: user not found
Jan  8 15:42:19 tigris04 kernel: lo: Disabled Privacy Extensions
  Verifying  : vdsm-4.10.2-3.0.el6ev.x86_64   

which means sasldb configuration is not working in case selinux is in disabled mode, what makes this bug very urgent is the fact that user have to remove vdsm and reinstall after enabling selinux.
Comment 1 Yaniv Kaul 2013-01-08 12:51:41 EST
Similar to https://bugzilla.redhat.com/show_bug.cgi?id=893065 ?
Comment 2 Haim 2013-01-08 15:20:29 EST
(In reply to comment #1)
> Similar to https://bugzilla.redhat.com/show_bug.cgi?id=893065 ?

i'm aware of this bug and I think its not the same, in my case, the package is installed successfully, pass complete bootstrap process and only fail in initialisation.

Note You need to log in before you can comment on or make changes to this bug.